> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# سرد النطاقات

> يسرد نطاقات العملاء المرئية لأساس API العام.

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.ar.json GET /v1/public/accounts/{account_id}/domains
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/domains:
    get:
      tags:
        - public-accounts
        - public-domains
      summary: سرد النطاقات
      description: يسرد نطاقات العملاء المرئية لأساس API العام.
      operationId: list_public_domains_v1_public_accounts__account_id__domains_get
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
        - in: query
          name: workspace_id
          required: false
          schema:
            anyOf:
              - format: uuid
                type: string
              - type: 'null'
            title: Workspace Id
        - in: query
          name: page
          required: false
          schema:
            default: 1
            title: Page
            type: integer
        - in: query
          name: page_size
          required: false
          schema:
            default: 25
            title: Page Size
            type: integer
        - in: query
          name: search
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Search
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DomainListResponse'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: خطأ في التحقق
      security:
        - PublicBearerAuth: []
components:
  schemas:
    DomainListResponse:
      properties:
        items:
          description: النطاقات الموجودة في هذه الصفحة
          items:
            $ref: '#/components/schemas/DomainListRowResponse'
          title: العناصر
          type: array
        page:
          description: رقم الصفحة الحالي المستند إلى واحد
          title: الصفحة
          type: integer
        page_size:
          description: الحد الأقصى للعناصر لكل صفحة
          title: حجم الصفحة
          type: integer
        total:
          description: إجمالي المجالات المطابقة
          title: الإجمالي
          type: integer
      required:
        - items
        - page
        - page_size
        - total
      title: DomainListResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: التفاصيل
          type: array
      title: HTTPخطأ تحقق
      type: object
    DomainListRowResponse:
      description: صف قائمة نطاقات موجه للعميل.
      properties:
        auto_renew:
          default: false
          description: ما إذا كان التجديد التلقائي للنطاق ممكّنًا أم لا
          title: التجديد التلقائي
          type: boolean
        created_at:
          anyOf:
            - type: string
            - type: 'null'
          description: الطابع الزمني لإنشاء النطاق
          title: تاريخ الإنشاء
        dedicated_ip_id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          description: تم تخصيص IP UUID، إن وجد
          title: معرف IP مخصص
        id:
          description: المجال UUID
          format: uuid
          title: المعرّف
          type: string
        inbound_tenant_external_id:
          anyOf:
            - type: string
            - type: 'null'
          description: معرف الموفر الخارجي للمستأجر الداخلي
          title: معرّف المستأجر الوارد الخارجي
        inbound_tenant_id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          description: المستأجر الداخلي UUID، إذا تم تعيينه
          title: معرّف المستأجر الوارد
        inbound_tenant_name:
          anyOf:
            - type: string
            - type: 'null'
          description: اسم عرض المستأجر الوارد، إذا تم تعيينه
          title: اسم المستأجر الوارد
        inbound_tenant_type:
          anyOf:
            - type: string
            - type: 'null'
          description: نوع المستأجر الوارد، إذا تم تعيينه
          title: نوع المستأجر الوارد
        name:
          description: اسم المجال
          title: الاسم
          type: string
        outbound_routing_ready:
          description: ما إذا كان التوجيه الصادر جاهزًا أم لا
          title: التوجيه الصادر جاهز
          type: boolean
        redirect_mode:
          anyOf:
            - enum:
                - '301'
                - '302'
                - iframe
              type: string
            - type: 'null'
          description: تكوين وضع إعادة التوجيه، إن وجد
          title: وضع إعادة التوجيه
        redirect_url:
          anyOf:
            - type: string
            - type: 'null'
          description: عنوان URL لإعادة التوجيه الذي تم تكوينه، إن وجد
          title: عنوان URL لإعادة التوجيه
        status:
          description: حالة دورة حياة المجال
          title: الحالة
          type: string
        tags:
          description: العلامات المرفقة بالمجال
          items:
            $ref: '#/components/schemas/DomainTagResponse'
          title: العلامات
          type: array
        updated_at:
          anyOf:
            - type: string
            - type: 'null'
          description: الطابع الزمني لآخر تحديث للنطاق
          title: تاريخ التحديث
        workspace_id:
          description: مساحة العمل UUID التي تحتوي على المجال
          format: uuid
          title: معرف مساحة العمل
          type: string
      required:
        - id
        - name
        - status
        - workspace_id
        - outbound_routing_ready
      title: DomainListRowResponse
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: الموقع
          type: array
        msg:
          title: الرسالة
          type: string
        type:
          title: نوع الخطأ
          type: string
      required:
        - loc
        - msg
        - type
      title: خطأ تحقق
      type: object
    DomainTagResponse:
      description: علامة مرتبطة بنطاق.
      properties:
        id:
          description: العلامة UUID
          format: uuid
          title: المعرّف
          type: string
        name:
          description: اسم عرض العلامة
          title: الاسم
          type: string
      required:
        - id
        - name
      title: DomainTagResponse
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````